﻿<?xml version="1.0" encoding="UTF-8"?>
<local:BaseViewCell xmlns="http://xamarin.com/schemas/2014/forms"
                    xmlns:x="http://schemas.microsoft.com/winfx/2009/xaml"
                    xmlns:local="clr-namespace:EventQMobileApp;assembly=EventQMobileApp"
                    x:Class="EventQMobileApp.AttendeeViewCell"
                    Tapped="OnItemTapped">
    <local:BaseViewCell.ContextActions>
        <MenuItem Command="{Binding CheckInCommand}" CommandParameter="{Binding .}"
                  Clicked="OnCheckIn"
                  Text="Check In"
                  IsDestructive="False" />
    </local:BaseViewCell.ContextActions>
    <Grid x:Name="mainGrid">
        <Grid.RowDefinitions>
            <RowDefinition Height="98.2*" />
            <RowDefinition Height="1.8*" />
        </Grid.RowDefinitions>
        <Grid.ColumnDefinitions>
            <ColumnDefinition Width="13*" />
            <ColumnDefinition Width="2*" />
            <ColumnDefinition Width="85*" />
        </Grid.ColumnDefinitions>
        <Grid.GestureRecognizers>
            <TapGestureRecognizer Command="{Binding AttendeeSelectedCommand}" />
        </Grid.GestureRecognizers>
        <!--Time StackLayout-->
        <StackLayout x:Name="timeLayout"
                     Orientation="Horizontal" Margin="0,0,0,-6"
                     BackgroundColor="{Binding IsEntranceDone,Converter={StaticResource timeColorConverter}}">
            <Label Text="{Binding CheckInTime,StringFormat='{0:HH:mm}'}"
                   Style="{StaticResource Label_Attendee_List_Item}"
                   IsVisible="{Binding IsEntranceDone}" />
        </StackLayout>
        <!--UserName and Delegate StackLayout-->
        <Grid Grid.Row="0" Grid.Column="2">
            <Grid.RowDefinitions>
                <RowDefinition Height="50*" />
                <RowDefinition Height="50*" />
            </Grid.RowDefinitions>
            <StackLayout Orientation="Horizontal"
                         Grid.Row="0" Margin="0,0,0,0"
                         VerticalOptions="EndAndExpand">
                <Label Text="{Binding SurName,StringFormat='{0},', Converter={StaticResource caseConverter}, ConverterParameter = UpperCase}"
                       FontSize="Large"
                       HorizontalOptions="Start"
                       VerticalOptions="EndAndExpand" />
                <Label Text="{Binding FirstName}"
                       TextColor="Black"
                       FontSize="Large"
                       HorizontalOptions="Start"
                       VerticalOptions="EndAndExpand" />
            </StackLayout>
            <Label Grid.Row="1" Margin="0,0,0,0"
                   TextColor="Gray"
                   HorizontalOptions="Start"
                   VerticalOptions="CenterAndExpand">
                <Label.FormattedText>
                    <FormattedString>
                        <Span Text="{Binding Organisation,StringFormat='{0},'}" />
                        <Span Text="{Binding Table, StringFormat=' Table: {0}, '}" />
                        <Span Text="{Binding SeatNumber, StringFormat=' Seat: {0} '}" />
                    </FormattedString>
                </Label.FormattedText>
            </Label>
        </Grid>
        <!--BoxView between Cells-->
        <BoxView Color="Silver"
                 Grid.Row="1"
                 Grid.ColumnSpan="3"
                 HorizontalOptions="FillAndExpand"
                 VerticalOptions="FillAndExpand" />
    </Grid>
</local:BaseViewCell>